#version 330 core
layout (location = 0) in vec3 pos;

out vec3 uv;

uniform mat4 projection;
uniform mat4 view;

void main()
{
    uv = pos;
    vec4 v_pos = projection * view * vec4(pos, 1.0);
    gl_Position = v_pos.xyww;
}  